FROM registry.gitlab.com/ctrlf5.io/php/{{ type }}:{{ realVersion }}
RUN set -xe \
&& apk add --no-cache --virtual .build-deps \
tzdata \
git \
$PHPIZE_DEPS \
&& git clone https://github.com/xdebug/xdebug.git \
&& cd xdebug \
&& git checkout 3.1.3 \
&& phpize \
&& ./configure --enable-xdebug \
&& make -j2 \
&& make install \
&& docker-php-ext-enable xdebug \
&& rm -f /usr/local/etc/php/conf.d/docker-php-ext-opcache.ini \
&& apk del .build-deps \
&& rm -rf /tmp/* /var/cache/apk/* \
&& echo "error_reporting = E_ALL" > /usr/local/etc/php/conf.d/custom-xdebug.ini \
&& echo "display_startup_errors = On" >> /usr/local/etc/php/conf.d/custom-xdebug.ini \
&& echo "display_errors = On" >> /usr/local/etc/php/conf.d/custom-xdebug.ini \
&& echo "xdebug.mode=develop" >> /usr/local/etc/php/conf.d/custom-xdebug.ini \
&& echo "xdebug.idekey=\"PHPSTORM\"" >> /usr/local/etc/php/conf.d/custom-xdebug.ini